- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/getMultitenantDirectory#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/getMultitenantDirectory#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/getMultitenantDirectory#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/getMultitenantDirectory#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/getMultitenantDirectory#body.MultitenantDirectory.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/getMultitenantDirectory#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/getMultitenantDirectory#body.aspect_1)
- [LegacyTenant](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/getMultitenantDirectory#LegacyTenant)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/getMultitenantDirectory#LegacyTenant.SCHEMA_REPRESENTATION)
- [Type](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/getMultitenantDirectory#Type)

**Full name**: projects.locations.instances.getMultitenantDirectory

Gets the super and subtenants and gets the current tenant name.

### HTTP request

`GET https://{endpoint}/v1alpha/{name}`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the directory to retrieve. Format: projects/{projectId}/locations/{region}/instances/{instance}/multitenantDirectory |

### Request body

The request body must be empty.

### Response body

Represents Chronicle tenant information for all tenants in the same deployment.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "tenants": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/getMultitenantDirectory#LegacyTenant`) } ] } ``` |

| Fields ||
|---|---|
| `name` | `string` Output only. The resource name. Format: projects/{projectId}/locations/{region}/instances/{instance}/multitenantDirectory |
| `tenants[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/getMultitenantDirectory#LegacyTenant`)`` A list of tenants in the same multitenant deployment. This includes the active deployment, or the Chronicle instance to which the API call was made. Lists longer than 100 should not exist and will be truncated. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.multitenantDirectories.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## LegacyTenant

Contains display information about a Tenant and a URL to enable tenant switching.

| JSON representation |
|---|
| ``` { "type": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/getMultitenantDirectory#Type`), "displayName": string, "frontendHostname": string, "chronicleInstance": string } ``` |

| Fields ||
|---|---|
| `type` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/getMultitenantDirectory#Type`)`` Output only. The type of the tenant. |
| `displayName` | `string` Output only. User visible name for the tenant. |
| `frontendHostname` | `string` Output only. URL to redirect to when switching tenants. |
| `chronicleInstance` | `string` Output only. Resource Name pointing to the Chronicle resource Format: projects/{project}/locations/{region}/instances/{instance} |

## Type

The tenant type.

| Enums ||
|---|---|
| `TYPE_UNSPECIFIED` | Default value. This value is unused. |
| `SUPERTENANT` | A supertenant |
| `SUBTENANT` | A subtenant |